/********************************************************************
 *
 * browseactiontools.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/


#ifndef BROWSEACTIONTOOLS_H
#define BROWSEACTIONTOOLS_H

#include "cgiargs.h"
#include "recptproto.h"

//this puts ands or ors into the querystring as necessary
void format_browsestring(text_t orig, text_t& formatted, int and_or);

void set_browsefilter_options(FilterRequest_t &request, text_t &browsestring,
			      cgiargsclass &args);

void format_browsestring(text_t orig, text_t& formatted, int and_or);

#endif
